import { H as registerInstance, M as h, N as Host, O as getElement } from './index-BD2o1F4P.js';
import { B as BEM } from './bem-ByiN-QjD.js';

const balTableCss = ".bal-table{display:block;position:static}.bal-table--is-fullwidth{display:-ms-flexbox;display:flex;width:100%}bal-checkbox .bal-checkbox__label::before{top:0}bal-checkbox .bal-checkbox__label::after{margin-top:0px}";

const Table = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /**
         * If `true` the table has a full width
         */
        this.expanded = false;
    }
    render() {
        const block = BEM.block('table');
        const fullwidthClass = 'is-fullwidth';
        const hasFullwidth = this.expanded;
        return (h(Host, { key: 'c3666abb26f5837aa6c7b3beda7cb86b12c513a6', class: Object.assign(Object.assign(Object.assign({}, block.class()), { 'ag-theme-alpine': true }), block.modifier(fullwidthClass).class(hasFullwidth)) }, h("slot", { key: 'b5c6c626cefffe3f170ebc1125ac7b26fff63b8b' })));
    }
    get el() { return getElement(this); }
};
Table.style = balTableCss;

export { Table as bal_table };
